import { AssetManager } from "../core/AssetManager";
import { CameraManager } from "../core/CameraManager";
import { InputManager } from "../core/InputManager";
import { SceneManager } from "../core/SceneManager";
import { RendererManager } from "./RendererManager";
export declare type ApplicationHook = "update" | "beforeRender" | "afterRender" | "ready";
export declare class Application {
    readonly sceneManager: SceneManager;
    readonly cameraManager: CameraManager;
    readonly renderers: RendererManager;
    readonly assets: AssetManager;
    readonly inputs: InputManager;
    private _disposed;
    readonly isDisposed: boolean;
    private _hooks;
    constructor();
    on(type: ApplicationHook, fn: (...args: any[]) => void): void;
    off(type: ApplicationHook, fn: (...args: any[]) => void): void;
    ready(): void;
    update(deltaTime: number): void;
    dispose(): void;
}
