import { Camera, Scene, WebGLRenderer, WebGLRendererParameters } from "three";
import { Application } from "./Application";
export declare type RenderCallback = () => void;
export declare class RendererHandler {
    private _app;
    private _renderer;
    private _scene?;
    private _camera?;
    private _sceneName?;
    private _cameraName?;
    private _renderCallback?;
    private _onSceneChangeCallbacks;
    private _onCameraChangeCallbacks;
    readonly renderer: WebGLRenderer;
    readonly scene: Scene | undefined;
    readonly camera: Camera | undefined;
    constructor(app: Application, options?: WebGLRendererParameters);
    dispose(): void;
    setSceneName(name?: string): void;
    setCameraName(name?: string): void;
    setRenderCallback(cb?: RenderCallback): void;
    render(): void;
    onSceneChange(fn: (...args: any[]) => void): void;
    onCameraChange(fn: (...args: any[]) => void): void;
    private handleResize;
    private handleSceneChange;
    private handleCameraChange;
}
