import { Scene } from "three";
export declare type SceneManagerHook = "change" | "activate" | "deactivate";
export declare class SceneManager {
    private _scenes;
    private _hooks;
    private _uses;
    set(name: string, scene: Scene): void;
    get(name: string): Scene | undefined;
    remove(name: string): void;
    on(type: SceneManagerHook, fn: (...args: any[]) => void): void;
    off(type: SceneManagerHook, fn: (...args: any[]) => void): void;
    isUsed(name: string): boolean;
    use(name: string): void;
    unuse(name: string): void;
}
